ECJ(1)

NAME
ecj - manual page for eclipse JDT Compiler

SYNOPSIS
ecj <options> <source files>

DESCRIPTION
The JDT Compiler (jdtc) is a command version of Java compiler for eclipse. ecj has basic java compiler options like SUN's javac.

Note: this manual page is out of date; please call the compiler with -help for the current documentation.

OPTIONS

-help                   display a help message

-version                compiler version number

-classpath              <dir 1>;<dir 2>;...;<dir P>

-d <dir>                destination directory (if omitted no package directory structure is created)

-d none
    no classfile is generated

-1.3 set compliance level to 1.3

-1.4                    set compliance level to 1.4 (default)

-1.5                    set compliance level to 1.5

-1.6                    set compliance level to 1.6

-1.7                    set compliance level to 1.7

-1.8                    set compliance level to 1.8

-source <ver>           assertions toggle (1.3 or 1.4, default is 1.3 in -1.3 mode and 1.4 in -1.4 mode)

-target <ver>           classfile target setting

-nowarn                 no warning (equivalent to '-warn:none')

-warn: <level>          set warning level (e.g. '-warn:unusedLocals,deprecation')

constructorName
    warn method with constructor name

packageDefaultMethod
    warn attempt to override package-default method

deprecation
    warn usage of deprecated type or member

maskedCatchBlocks
    warn hidden catch block

unusedLocals
    warn on unused local variable (never read)

unusedArguments
    warn on unused method argument (never read)

unusedImports
    warn on unused imports

syntheticAccess
    warn when performing synthetic access for innerclass

assertIdentifier
    warn occurrence of 'assert' used as identifier

-deprecation equivalent to -warn:deprecation. -g[:<level>] debug attributes level

-g  all debug info ('-g:lines,vars,source')

-g:none
    no debug info

-g:[lines,vars,source]
    selective debug info

-preserveAllLocals code gen preserve all local variables (for debug purpose)

-noImportError          no errors for unresolved imports

-encoding               specify default source encoding format (custom encoding can also be specified on a per file basis by suffixing each input source file/folder name with '[encoding]')

-log <filename> specify a log file

-proceedOnError         keep compiling when error, dumping class files with problem methods

-verbose                print accessedprocessed compilation units

-referenceInfo          compute reference info

-progress               show progress (only in -log mode)

-time                   display speed information

-noExit                 do not call System.exit(n) at end of compilation (n=0 if no error)

-repeat <n>             repeat compilation process <n> times (perf analysis)

AUTHOR
This manual page was written by Takshi Okamoto and Jan Schulz <debian@katzien.de>.